Last Comment Bug 723832 - New Tab Page frequently leaks 4-700+Kb (AtomImpl + BackstagePass + DOMCSSDeclarationImpl + DOMCSSStyleRule + more) in mochitest-browser-chrome
: New Tab Page frequently leaks 4-700+Kb (AtomImpl + BackstagePass + DOMCSSDecl...
Status: RESOLVED DUPLICATE of bug 750424
[MemShrink:P1]
: intermittent-failure, mlk, regression
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 723102 738167
Blocks: 438871 716538
  Show dependency treegraph
 
Reported: 2012-02-02 22:13 PST by Phil Ringnalda (:philor, back in August)
Modified: 2013-12-17 08:53 PST (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
affected
-
affected


Attachments

Description Phil Ringnalda (:philor, back in August) 2012-02-02 22:13:24 PST
This leak exploded this morning on mozilla-inbound, and I wanted to pin it on the push after a merge from mozilla-central, because the merge was green and the next push had three instances of this leak, but I didn't have time during the day, and then bugmail about this same leak being misstarred as a crashtest leak alerted me that it was on mozilla-central before my blame-target had gotten there.

First seen on mozilla-central on https://hg.mozilla.org/mozilla-central/rev/1cdef0321abd (merge from fx-team), first seen on fx-team on https://hg.mozilla.org/integration/fx-team/rev/29c4463e6a2e (enable New Tab Page and what I presume are supporters, which are just as likely to be the real cause I suppose).

Retriggers in https://tbpl.mozilla.org/?tree=Fx-Team&rev=29c4463e6a2e show plenty more instances beside the one that was there from the initial push; retriggers on the parent in https://tbpl.mozilla.org/?tree=Fx-Team&rev=e7f7c1e948ca don't show any (gambling, because I still have a couple of retriggers running right this second, but the odds are with me).

Sorry, but, j'accuse.

http://tbpl.swatinem.de/php/getLeakAnalysis.php?id=9053424 (the working version of the "analyze the leak" links that are broken on tbpl.m.o) only mentions the lying not actually leaked domwindow from test_process_error.xul, so unfortunately there's no help about which test is triggering the leak, other than "something in browser-chrome" (and "not test_process_error.xul, which isn't even in browser-chrome").
Comment 2 Phil Ringnalda (:philor, back in August) 2012-02-03 08:38:55 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9059217&tree=Mozilla-Inbound
Comment 3 Phil Ringnalda (:philor, back in August) 2012-02-03 09:44:04 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9066988&tree=Mozilla-Inbound
Comment 6 Phil Ringnalda (:philor, back in August) 2012-02-03 10:04:22 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9056354&tree=Mozilla-Inbound
Comment 12 Phil Ringnalda (:philor, back in August) 2012-02-03 18:57:56 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9080127&tree=Mozilla-Inbound
Comment 13 Tim Taubert [:ttaubert] 2012-02-04 02:21:16 PST
I'm optimistic about this being fixed by bug 723102 - we accidentally hold New Tab Pages alive by the JSM (instead of properly unregistering them). Will land today.
Comment 20 Phil Ringnalda (:philor, back in August) 2012-02-04 10:11:48 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9091625&tree=Mozilla-Inbound
Comment 21 Phil Ringnalda (:philor, back in August) 2012-02-04 10:12:19 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9091084&tree=Mozilla-Inbound
Comment 22 Phil Ringnalda (:philor, back in August) 2012-02-04 10:59:57 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9092598&tree=Mozilla-Inbound
Comment 23 Phil Ringnalda (:philor, back in August) 2012-02-04 11:21:54 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9093001&tree=Mozilla-Inbound
Comment 25 Phil Ringnalda (:philor, back in August) 2012-02-04 12:21:08 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9094079&tree=Mozilla-Inbound
Comment 27 Tim Taubert [:ttaubert] 2012-02-08 02:59:55 PST
Marking as fixed by bug 723102.
Comment 28 Phil Ringnalda (:philor, back in August) 2012-02-09 21:55:17 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9230791&tree=Mozilla-Aurora (a couple of pushes after you flipped the pref on aurora) reminds me a great deal of this, so I think you might have had another thing involved in the leak fix, that didn't hit aurora.
Comment 30 Phil Ringnalda (:philor, back in August) 2012-02-14 13:25:54 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9334357&tree=Mozilla-Aurora
Comment 31 Phil Ringnalda (:philor, back in August) 2012-02-14 18:24:22 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9342758&tree=Mozilla-Aurora
Comment 32 Phil Ringnalda (:philor, back in August) 2012-02-14 18:27:05 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9341168&tree=Mozilla-Aurora
Comment 33 Phil Ringnalda (:philor, back in August) 2012-02-14 18:30:41 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9341093&tree=Mozilla-Aurora
Comment 34 Phil Ringnalda (:philor, back in August) 2012-02-14 18:44:29 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9343563&tree=Mozilla-Aurora
Comment 35 Phil Ringnalda (:philor, back in August) 2012-02-14 19:53:09 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9343721&tree=Mozilla-Aurora
Comment 36 Phil Ringnalda (:philor, back in August) 2012-02-14 19:56:03 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9343794&tree=Mozilla-Aurora
Comment 38 Tim Taubert [:ttaubert] 2012-02-15 05:15:26 PST
(In reply to Phil Ringnalda (:philor) from comment #28)
> https://tbpl.mozilla.org/php/getParsedLog.php?id=9230791&tree=Mozilla-Aurora
> (a couple of pushes after you flipped the pref on aurora) reminds me a great
> deal of this, so I think you might have had another thing involved in the
> leak fix, that didn't hit aurora.

Yeah, but I don't have a clue what changeset fixed that entirely. Need to look what landed around the same time.
Comment 39 Phil Ringnalda (:philor, back in August) 2012-02-15 19:25:51 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9373199&tree=Mozilla-Aurora
Comment 40 Phil Ringnalda (:philor, back in August) 2012-02-15 21:12:35 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9375968&tree=Mozilla-Aurora
Comment 41 Phil Ringnalda (:philor, back in August) 2012-02-15 21:21:12 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9375028&tree=Mozilla-Aurora
Comment 42 Phil Ringnalda (:philor, back in August) 2012-03-14 22:33:27 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10084544&tree=Mozilla-Inbound

Sure was nice having this gone for a while, back when it was gone for a while.
Comment 43 Phil Ringnalda (:philor, back in August) 2012-03-14 22:54:11 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10085551&tree=Firefox
Comment 44 Phil Ringnalda (:philor, back in August) 2012-03-15 15:49:44 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10101370&tree=Mozilla-Inbound
Comment 45 Phil Ringnalda (:philor, back in August) 2012-03-15 16:07:05 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10105253&tree=Mozilla-Inbound
Comment 46 Phil Ringnalda (:philor, back in August) 2012-03-15 16:50:51 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10106611&tree=Mozilla-Inbound
Comment 47 Phil Ringnalda (:philor, back in August) 2012-03-16 07:52:13 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10118503&tree=Mozilla-Inbound
Comment 48 Phil Ringnalda (:philor, back in August) 2012-03-16 10:09:07 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10125140&tree=Mozilla-Inbound
Comment 49 Phil Ringnalda (:philor, back in August) 2012-03-16 12:32:13 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10120637&tree=Mozilla-Aurora
Comment 50 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-03-16 14:48:02 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10131089&tree=Firefox&full=1
Comment 51 Phil Ringnalda (:philor, back in August) 2012-03-16 20:52:38 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10137804&tree=Mozilla-Inbound
Comment 53 Phil Ringnalda (:philor, back in August) 2012-03-18 16:52:08 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10169069&tree=Firefox
Comment 54 Phil Ringnalda (:philor, back in August) 2012-03-18 20:59:22 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10170156&tree=Try
Comment 55 Phil Ringnalda (:philor, back in August) 2012-03-19 20:47:36 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10199603&tree=Mozilla-Inbound
Comment 58 Phil Ringnalda (:philor, back in August) 2012-03-21 08:50:44 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10238196&tree=Mozilla-Inbound
Comment 59 Phil Ringnalda (:philor, back in August) 2012-03-21 16:11:24 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10255792&tree=Mozilla-Inbound
Comment 60 Andrew McCreight [:mccr8] 2012-03-21 16:35:34 PDT
Nominating for tracking because it is a fairly large, fairly frequent leak apparently introduced by a new feature.
Comment 61 Phil Ringnalda (:philor, back in August) 2012-03-23 19:41:38 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10336086&tree=Mozilla-Aurora
Comment 65 Phil Ringnalda (:philor, back in August) 2012-03-25 22:45:16 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10365436&tree=Firefox
Comment 66 Phil Ringnalda (:philor, back in August) 2012-03-26 12:16:57 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10377569&tree=Mozilla-Inbound
Comment 67 Phil Ringnalda (:philor, back in August) 2012-03-26 13:08:26 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10378946&tree=Mozilla-Inbound
Comment 68 Alex Keybl [:akeybl] 2012-03-26 15:47:48 PDT
(In reply to Andrew McCreight [:mccr8] from comment #60)
> Nominating for tracking because it is a fairly large, fairly frequent leak
> apparently introduced by a new feature.

This is reasonable - also sending over to Tim since we suspect this to be related to the new tab page.
Comment 69 Phil Ringnalda (:philor, back in August) 2012-03-26 17:37:26 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10387002&tree=Mozilla-Aurora
Comment 70 Phil Ringnalda (:philor, back in August) 2012-03-26 20:28:56 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10391485&tree=Mozilla-Inbound
Comment 71 Phil Ringnalda (:philor, back in August) 2012-03-26 21:56:11 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10393907&tree=Mozilla-Inbound
Comment 73 Phil Ringnalda (:philor, back in August) 2012-03-27 08:37:38 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10403506&tree=Mozilla-Inbound
Comment 77 Phil Ringnalda (:philor, back in August) 2012-03-28 11:47:54 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10444825&tree=Mozilla-Aurora
Comment 80 Phil Ringnalda (:philor, back in August) 2012-03-29 08:05:03 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10471003&tree=Mozilla-Inbound
Comment 81 Phil Ringnalda (:philor, back in August) 2012-03-29 09:02:10 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10469839&tree=Firefox
Comment 82 Phil Ringnalda (:philor, back in August) 2012-03-29 11:14:12 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10478029&tree=Mozilla-Inbound
Comment 87 Phil Ringnalda (:philor, back in August) 2012-03-30 10:38:26 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10505665&tree=Mozilla-Inbound
Comment 88 Phil Ringnalda (:philor, back in August) 2012-03-30 12:46:42 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10509760&tree=Firefox
Comment 92 Phil Ringnalda (:philor, back in August) 2012-04-02 16:02:40 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10577943&tree=Mozilla-Aurora
Comment 94 Phil Ringnalda (:philor, back in August) 2012-04-03 17:05:06 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10613739&tree=Mozilla-Aurora
Comment 95 Phil Ringnalda (:philor, back in August) 2012-04-04 21:44:29 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10657145&tree=Mozilla-Inbound
Comment 96 Phil Ringnalda (:philor, back in August) 2012-04-04 22:05:33 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10657316&tree=Mozilla-Inbound
Comment 97 Phil Ringnalda (:philor, back in August) 2012-04-05 08:37:54 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10667032&tree=Mozilla-Inbound
Comment 98 Phil Ringnalda (:philor, back in August) 2012-04-05 11:16:39 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10670792&tree=Mozilla-Inbound
Comment 100 Phil Ringnalda (:philor, back in August) 2012-04-06 07:54:30 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10693267&tree=Mozilla-Inbound
Comment 101 Phil Ringnalda (:philor, back in August) 2012-04-06 16:53:25 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10712631&tree=Mozilla-Inbound
Comment 102 Phil Ringnalda (:philor, back in August) 2012-04-07 10:04:37 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10718373&tree=Mozilla-Inbound
Comment 103 Phil Ringnalda (:philor, back in August) 2012-04-09 07:52:50 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10745751&tree=Mozilla-Inbound
Comment 104 Phil Ringnalda (:philor, back in August) 2012-04-09 16:46:17 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10759821&tree=Mozilla-Aurora
Comment 106 Phil Ringnalda (:philor, back in August) 2012-04-09 21:38:38 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10768009&tree=Mozilla-Inbound
Comment 107 Phil Ringnalda (:philor, back in August) 2012-04-10 14:31:17 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10785368&tree=Mozilla-Aurora
Comment 108 Phil Ringnalda (:philor, back in August) 2012-04-10 20:37:17 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10794259&tree=Mozilla-Inbound
Comment 110 Phil Ringnalda (:philor, back in August) 2012-04-11 08:25:33 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10803970&tree=Mozilla-Inbound
Comment 111 Phil Ringnalda (:philor, back in August) 2012-04-11 13:02:08 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10820306&tree=Mozilla-Inbound
Comment 113 Phil Ringnalda (:philor, back in August) 2012-04-12 07:41:11 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10836189&tree=Mozilla-Inbound
Comment 114 Phil Ringnalda (:philor, back in August) 2012-04-12 11:52:40 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10845780&tree=Mozilla-Inbound
Comment 116 Phil Ringnalda (:philor, back in August) 2012-04-13 11:15:41 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10860015&tree=Firefox
Comment 119 Phil Ringnalda (:philor, back in August) 2012-04-15 19:23:31 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10926928&tree=Mozilla-Inbound
Comment 120 Phil Ringnalda (:philor, back in August) 2012-04-15 22:46:33 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10929142&tree=Mozilla-Inbound
Comment 121 Nicholas Nethercote [:njn] 2012-04-15 23:01:34 PDT
What's happening here?  This is a significant leak in a new feature.
Comment 122 Phil Ringnalda (:philor, back in August) 2012-04-16 21:19:30 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10960793&tree=Mozilla-Aurora
Comment 123 Phil Ringnalda (:philor, back in August) 2012-04-17 15:18:32 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10983923&tree=Mozilla-Inbound
Comment 124 Phil Ringnalda (:philor, back in August) 2012-04-18 11:40:23 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11011817&tree=Mozilla-Inbound
Comment 125 Phil Ringnalda (:philor, back in August) 2012-04-18 20:56:52 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11025520&tree=Mozilla-Inbound
Comment 126 Phil Ringnalda (:philor, back in August) 2012-04-19 13:39:54 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11047547&tree=Mozilla-Aurora
Comment 130 Phil Ringnalda (:philor, back in August) 2012-04-22 01:57:28 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11103444&tree=Mozilla-Inbound
Comment 131 Phil Ringnalda (:philor, back in August) 2012-04-23 15:32:56 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11131471&tree=Mozilla-Aurora
Comment 132 Phil Ringnalda (:philor, back in August) 2012-04-23 16:49:34 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11136862&tree=Mozilla-Inbound
Comment 133 Phil Ringnalda (:philor, back in August) 2012-04-23 22:00:44 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11138589&tree=Firefox
Comment 135 Phil Ringnalda (:philor, back in August) 2012-04-24 15:27:25 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11170852&tree=Mozilla-Beta
Comment 136 Phil Ringnalda (:philor, back in August) 2012-04-24 21:05:20 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11178420&tree=Mozilla-Aurora
Comment 137 Phil Ringnalda (:philor, back in August) 2012-04-25 18:13:26 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11210299&tree=Mozilla-Aurora
Comment 138 Phil Ringnalda (:philor, back in August) 2012-04-25 21:03:46 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11215798&tree=Mozilla-Inbound
Comment 139 Phil Ringnalda (:philor, back in August) 2012-04-25 21:05:32 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11214542&tree=Mozilla-Inbound
Comment 143 Phil Ringnalda (:philor, back in August) 2012-04-27 19:43:06 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11283667&tree=Mozilla-Inbound
Comment 144 Phil Ringnalda (:philor, back in August) 2012-04-27 21:10:03 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11277819&tree=Mozilla-Inbound
Comment 147 Phil Ringnalda (:philor, back in August) 2012-04-30 19:00:53 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11344645&tree=Mozilla-Aurora
Comment 149 Alex Keybl [:akeybl] 2012-05-02 15:18:08 PDT
(In reply to Tim Taubert [:ttaubert] from comment #38)
> (In reply to Phil Ringnalda (:philor) from comment #28)
> > https://tbpl.mozilla.org/php/getParsedLog.php?id=9230791&tree=Mozilla-Aurora
> > (a couple of pushes after you flipped the pref on aurora) reminds me a great
> > deal of this, so I think you might have had another thing involved in the
> > leak fix, that didn't hit aurora.
> 
> Yeah, but I don't have a clue what changeset fixed that entirely. Need to
> look what landed around the same time.

This appears to still be a problem on FF13 and up. What are the next steps for this investigation?
Comment 150 Bill McCloskey (:billm) 2012-05-02 15:42:23 PDT
I'm kind of hoping that this was fixed by bug 750424. It hasn't happened on inbound since that patch landed, but with the tree closed there haven't been enough pushes to say for sure.
Comment 151 Phil Ringnalda (:philor, back in August) 2012-05-03 11:58:29 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11434587&tree=Mozilla-Beta
Comment 152 Bill McCloskey (:billm) 2012-05-04 10:36:23 PDT
I'm going to call this fixed.

*** This bug has been marked as a duplicate of bug 750424 ***
Comment 153 Phil Ringnalda (:philor, back in August) 2012-05-07 15:54:31 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11545158&tree=Mozilla-Aurora
Comment 154 Phil Ringnalda (:philor, back in August) 2012-05-09 16:39:20 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11616635&tree=Mozilla-Aurora
Comment 156 Alex Keybl [:akeybl] 2012-05-14 09:04:52 PDT
(In reply to Bill McCloskey (:billm) from comment #150)
> I'm kind of hoping that this was fixed by bug 750424. It hasn't happened on
> inbound since that patch landed, but with the tree closed there haven't been
> enough pushes to say for sure.

We'll track bug 750424 instead in that case. Thanks!

Note You need to log in before you can comment on or make changes to this bug.